package com.microservices.zone.partners.domain.vo;

import com.microservices.zone.partners.domain.ZonePartners;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author otto
 */

@Data
@ApiModel("合作伙伴搜索对象")
public class ZonePartnersSearchVo {
    @ApiModelProperty(value = "合作伙伴名称")
    private String name;
    @ApiModelProperty(value = "所属分类")
    private Long typeId;
    @ApiModelProperty(value = "所属专区")
    private Long zoneId;

    public ZonePartners toZonePartners() {
        ZonePartners zonePartners = new ZonePartners();
        zonePartners.setZoneId(zoneId);
        zonePartners.setTypeId(typeId);
        zonePartners.setName(name);
        return zonePartners;
    }
}
